=== debian/changelog ===
libvirt (6.0.0-0ubuntu8) focal; urgency=medium

  * d/control, d/rules: Disable rbd and zfs on riscv64 where they are
    unavailable (LP: #1872952)

 -- William Grant <wgrant@ubuntu.com>  Sat, 18 Apr 2020 13:59:21 +1000

libvirt (6.0.0-0ubuntu7) focal; urgency=medium

  * d/p/ubuntu-aa/lp-1871354*: fix apparmor denials on libpmem init
    (LP: #1871354)
  * d/p/ubuntu/CVE-CVE-2020-10701-api-disallow-virDomainAgentSetResponseTimeout
    -on-rea.patch: avoid DOS through read only connections
    CVE-2020-10701

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Apr 2020 12:29:12 +0200

libvirt (6.0.0-0ubuntu6) focal; urgency=medium

  * d/p/ubuntu/lp-1867460-*: fix domcapabilities before capabilities
    and binary autodetection in general (LP: #1867460)
  * d/p/stable/lp-1868539-*: stabilize libvirt by backporting upstream
    fixes (LP: #1868539)
  * d/p/ubuntu/lp-1853200*: add cpu models without hle/rtm features to have
    modern types on kernels with recent security fixes (LP: #1853200)
  * d/p/ubuntu/lp-1868528-*: Fail when fetching CPU Status for invalid CPU
    (LP: #1868528)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 20 Mar 2020 10:34:19 +0100

libvirt (6.0.0-0ubuntu5) focal; urgency=medium

  * d/p/ubuntu-aa/lp-1847361-load-versioned-module.patch: allow loading
    versioned modules after qemu package upgrades (LP: #1847361)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 10 Mar 2020 08:58:04 +0100

libvirt (6.0.0-0ubuntu4) focal; urgency=medium

  * d/p/ubuntu/lp-1865425-*: avoid killing the monitor job in
    qemuDomainSetTimeAgent (LP: #1865425)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 02 Mar 2020 10:44:22 +0100

libvirt (6.0.0-0ubuntu3) focal; urgency=medium

  * rebuild against libxen-dev 4.11.3 (no change needed)
  * d/p/ubuntu-aa/virt-aa-helper-Add-support-for-smartcard-host-certif.patch:
    allow emulation of smartcard via host certificates
  * d/p/ubuntu/lp-1861125-*: fix non host-model migrations from old machine
    types (LP: #1861125)
  * d/p/ubuntu-aa/apparmor-allow-to-call-vhost-user-gpu.patch: do not apparmor
    block vhost-user-gpu usage

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 12 Feb 2020 14:20:08 +0100

libvirt (6.0.0-0ubuntu2) focal; urgency=medium

  [ Christian Ehrhardt ]
  * Bring back the ubuntu default URI handling. While no more needed for xen
    its removal made libvirt fallback further to the upstream default
    qemu:///session while Ubuntu forever had and for now wants to keep
    qemu:///system (LP: #1861693)
    - revert 'd/libvirt-clients.maintscript: rm_conffile libvirt-uri.sh that
      was optional for use on xen hosts'
    - libvirt-uri.sh: Automatically switch default libvirt URI for users on
      Xen dom0 via user profile
      [added back former delta]

  [ Andrea Bolognani ]
  * Merge further fixes from debian/experimental
    - Install virt-login-shell-helper
    - Install augeas lenses for all drivers
    - Remove all mentions of Devhelp
    - not-installed: Remove obsolete entries
    - not-installed: List all split daemons files

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 04 Feb 2020 13:08:49 +0100

libvirt (6.0.0-0ubuntu1) focal; urgency=medium

  * Merged with Debian 5.6.0-4 from experimental and v6.0.0 from upstream
    Among many other new features and fixes this includes fixes for:
    - LP: #1859253 - rbd driver fails to create a new volume
    - LP: #1858341 - rbd driver does not list all volumes in pool
    - LP: #1845506 - Libvirt snapshot doesn't update apparmor profile
    - LP: #1854653 - slow libvirt-guests.sh during shutdown if service is off
    - LP: #1848229 - enable ppc64el to use ccf-assist feature
    - LP: #1853315 - Enable CPU Model Comparison and Baselining on s390x
    - LP: #1853317 - CCW IPL support to boot from ECKD DASDs
    - LP: #1859506 - security: AppArmor profile fixes for swtpm
    Remaining changes:
    - Disable libssh2 support (universe dependency)
    - Disable firewalld support (universe dependency)
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite long.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-system.postinst: add users in sudo to the libvirt
        group.
    - ubuntu/parallel-shutdown.patch: set parallel shutdown by default.
    - Update Vcs-Git and Vcs-Browser fields to point to launchpad
    - Update README.Debian with Ubuntu changes
    - Enable some additional features on ppc64el and s390x (for arch parity)
      + systemtap, zfs, numa and numad on s390x.
      + systemtap on ppc64el.
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - Further upstreamed apparmor Delta, especially any new one
      Our former delta is split into logical pieces and is either Ubuntu only
      or is part of a continuous upstreaming effort.
      Listing related remaining changes in debian/patches/ubuntu-aa/:
    - fix autopkgtests
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service

