=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
Build-Depends:
 bash-completion,
 debhelper (>= 12~),
 dh-apparmor [linux-any],
 libxml2-dev (>= 2.9.2+really2.9.1+dfsg1-0.2),
 libncurses5-dev,
 libreadline-dev,
 zlib1g-dev,
 libgcrypt20-dev,
 libgnutls28-dev,
 libsasl2-dev,
 libxen-dev (>= 4.3) [i386 amd64 armhf arm64],
 lvm2 [linux-any],
 open-iscsi [linux-any],
 libparted-dev (>= 2.2),
 parted (>= 2.2),
 libdevmapper-dev [linux-any],
 uuid-dev,
 libudev-dev [linux-any],
 libpciaccess-dev,
 kmod [linux-any],
 policykit-1 (>= 0.105-4~),
 libcurl4-gnutls-dev,
 libpolkit-gobject-1-dev,
 libcap-ng-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libyajl-dev,
 libpcap0.8-dev,
 libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
 numad [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64 ppc64el s390x],
 radvd [linux-any],
 libsanlock-dev [linux-any],
 libaudit-dev [linux-any],
 libselinux1-dev (>= 2.0.82) [linux-any],
 libapparmor-dev [linux-any],
 libdbus-1-dev [linux-any],
 nfs-common,
 systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x],
 python3,
 python3-docutils,
 xsltproc,
 zfsutils [kfreebsd-amd64 kfreebsd-i386],
 libzfslinux-dev [amd64 arm64 armhf i386 ppc64el s390x],
 po-debconf,
# for --with-storage-rados
 librbd-dev [amd64 arm64 armhf i386 ppc64el s390x],
 librados-dev [amd64 arm64 armhf i386 ppc64el s390x],
# for --with-storage-gluster
 libglusterfs-dev,
# for --with-wireshark-dissector
 libwireshark-dev (>= 1.11.3),
 libwiretap-dev,
# for lxc fuse support
 libfuse-dev [linux-any],
# for libssh2 connection URIs
# libssh2-1-dev,
# for qemu-bridge-helper
 qemu-system-common,
# For "make check"
 augeas-tools,
 libxml2-utils,
 dnsmasq-base,
 openssh-client,
 netcat-openbsd,
 iptables (>= 1.8.1) [linux-any],
 qemu-utils,
Build-Conflicts: dpkg-dev (= 1.15.3)
XS-Debian-Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Vcs-Git: https://git.launchpad.net/ubuntu/+source/libvirt
Vcs-Browser: https://code.launchpad.net/ubuntu/+source/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.1.1

Package: libvirt-clients
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt0 (= ${binary:Version}),
 sensible-utils,
Section: admin
Suggests:
 libvirt-daemon,
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-daemon
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt0 (= ${binary:Version}),
 libvirt-daemon-driver-qemu,
Enhances: qemu, qemu-kvm, xen
Section: admin
Recommends:
 qemu-kvm | qemu (>= 0.9.1),
 libxml2-utils,
 netcat-openbsd,
 libvirt-daemon-driver-storage-rbd,
Suggests:
 libvirt-daemon-driver-lxc,
 libvirt-daemon-driver-vbox,
 libvirt-daemon-driver-xen,
 libvirt-daemon-driver-storage-gluster,
 libvirt-daemon-driver-storage-zfs,
 libvirt-daemon-system,
 numad,
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.

Package: libvirt-daemon-driver-qemu
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 5.6.0-3~)
Breaks: libvirt-daemon (<< 5.6.0-3~)
Section: admin
Description: Virtualization daemon QEMU connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for QEMU.

Package: libvirt-daemon-driver-lxc
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 5.6.0-3~)
Breaks: libvirt-daemon (<< 5.6.0-3~)
Section: admin
Description: Virtualization daemon LXC connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for LXC.

Package: libvirt-daemon-driver-vbox
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 5.6.0-3~)
Breaks: libvirt-daemon (<< 5.6.0-3~)
Section: admin
Description: Virtualization daemon VirtualBox connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for VirtualBox.

Package: libvirt-daemon-driver-xen
Architecture: i386 amd64 armhf arm64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 5.6.0-3~)
Breaks: libvirt-daemon (<< 5.6.0-3~)
Section: admin
Description: Virtualization daemon Xen connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for Xen.

Package: libvirt-daemon-driver-storage-gluster
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 3.7.0-3~)
Breaks: libvirt-daemon (<< 3.7.0-3~)
Section: admin
Description: Virtualization daemon glusterfs storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for GlusterFS.

Package: libvirt-daemon-driver-storage-rbd
Architecture: amd64 arm64 armhf i386 ppc64el s390x
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 3.7.0-3~)
Breaks: libvirt-daemon (<< 3.7.0-3~)
Section: admin
Description: Virtualization daemon RBD storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for RBD/Rados/Ceph.

Package: libvirt-daemon-driver-storage-zfs
Architecture: amd64 arm64 armhf i386 ppc64el s390x
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libvirt-daemon (= ${binary:Version}),
Replaces: libvirt-daemon (<< 3.7.0-3~)
Breaks: libvirt-daemon (<< 3.7.0-3~)
Section: admin
Description: Virtualization daemon ZFS storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for ZFS.

Package: libvirt-daemon-system
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 gettext-base,
 libvirt-clients (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt-daemon-system-systemd | libvirt-daemon-system-sysv,
 iptables (>= 1.8.1-1) [linux-any] | firewalld,
 logrotate,
 policykit-1,
Recommends:
 dmidecode,
 dnsmasq-base (>= 2.46-1),
 iproute2,
 parted,
Section: admin
Suggests:
 apparmor,
 auditd,
 nfs-common,
 open-iscsi [linux-any],
 pm-utils,
 radvd,
 systemd,
 systemtap,
 zfsutils,
Breaks:
 systemd-sysv (<< 224-1~)
Description: Libvirt daemon configuration files
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the configuration files to run the libvirt daemon as a
 system service.

Package: libvirt-daemon-system-systemd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 systemd-container,
 systemd-sysv,
Section: admin
Conflicts: libvirt-daemon-system-sysv
Description: Libvirt daemon configuration files (systemd)
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the dependencies to make libvirt work with systemd.
 (this is the default). This package is useless without the
 libvirt-daemon-system package installed.

Package: libvirt-daemon-system-sysv
Architecture: any
Section: admin
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lsb-base,
Breaks:
 libvirt-daemon-system (<< 5.6.0-4~),
Replaces:
  libvirt-daemon-system (<< 5.6.0-4~),
Description: Libvirt daemon configuration files (sysv)
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains dependencies and init scripts to make libvirt work with
 sysv based init systems. Using libvirt-daemon-systemd is preferred since the
 init scripts are incomplete.
 .
 This package is useless without the libvirt-daemon-system package installed.

Package: libvirt0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lvm2 [linux-any]
Breaks: selinux-policy-default (<< 2:2.20131214-1~), selinux-policy-mls (<< 2:2.20131214-1~), libvirt-daemon (<< 4.10.0-2~)
Replaces: libvirt-daemon (<< 4.10.0-2~)
Description: library for interfacing with different virtualization systems
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.

Package: libvirt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
